<?php
namespace SCM\Controllers;

use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DTO\Response\Error;
use SCM\Traits\TResponse;

class AF extends \Zeedhi\Framework\Controller\Simple {
    
    use TResponse;

	protected $AFService;
	protected $environment;

    public function __construct(\SCM\Services\AF $AFService, $environment) {
        $this->AFService = $AFService;
        $this->environment = $environment;
    }
    
    public function retornaAFs(Request $request, Response $response) {
        try {
            $params = $request->getParameters();
            $nrorg = $this->environment->getNrorg();
            $cdfilial = $params['CDFILIAL'];
            $dtInicial = $params['DTINICIAL'];
            $dtFinal = $params['DTFINAL'];

            $afs = $this->AFService->retornaAFs($nrorg, $cdfilial, $dtFinal, $dtInicial);
            $this->sendResponse($afs);
        } catch (\Exception $e) {
            $response->setError(new Error($e->getMessage(), $e->getCode()));
        }
    }

    public function retornaAFs1(Request $request, Response $response) {
        try {
        	$row = $request->getRow();
        	$afs = $this->AFService->retornaAFs($row);
			$response->addDataSet(new DataSet('AF', $afs));
        } catch (\Exception $e) {
            $response->setError(new Error($e->getMessage(), $e->getCode()));
        }
    }
}