import { Config, Http } from '@zeedhi/core';
import prodEnvironment from '../config/prodEnvironment.json';
import devEnvironment from '../config/devEnvironment.json';

const useMirage = (mirage: boolean = true) => {
  if (mirage) {
    Config.endPoint = process.env.VUE_APP_MIRAGE_END_POINT;
  } else {
    const env = process.env.NODE_ENV === 'production' ? prodEnvironment : devEnvironment;
    Config.endPoint = env.endPoint.replace('//backend', '/backend');
    if (Config.endPoint === '') {
      const serverIp = localStorage.getItem('SERVER_URL');
      if (serverIp) {
        const endPoint = process.env.NODE_ENV === 'production' ? `${serverIp}/backend/index.php`
          : `${serverIp}/backend/service/index.php`;
        Config.endPoint = endPoint.replace('//backend', '/backend');
      }
    }
  }

  Http.setBaseURL(Config.endPoint);
};

export { useMirage };
